Library Version 11.2.5.2

DB_MULTIPLE_RECNO_WRITE_NEXT
Prev | Chapter 4. The DBT Handle | Next

## DB_MULTIPLE_RECNO_WRITE_NEXT

    #include <db.h>

    DB_MULTIPLE_RECNO_WRITE_NEXT(void *pointer, DBT *dbt,
        db_recno_t recno, void *data, size_t dlen);

Appends a record number / data pair to the bulk buffer.

### Parameters

#### pointer

The pointer parameter is a variable that must have been initialized by a call to DB_MULTIPLE_RECNO_WRITE_INIT.

This parameter is set to NULL if the data item does not fit in the buffer.

#### dbt

The dbt parameter is a DBT structure initialized with DB_MULTIPLE_WRITE_INIT.

#### recno

The record number to be copied into the bulk buffer.

#### data

A pointer to the bytes to be copied into the bulk buffer.

#### dlen

The number of bytes to be copied.

### Class

DBT

### See Also

DBT and Bulk Operations

Prev | Up | Next
DB_MULTIPLE_RECNO_WRITE_INIT | Home | DB_MULTIPLE_RECNO_RESERVE_NEXT